// Define variables to override default ones
//$primary-color: #0B090A;
//$secondary-color: #e7e9ed;

// Core colors
//$primary-color: #5755d9;
$primary-color: #0293C3;
$primary-color-dark: darken($primary-color, 3%);
$primary-color-light: lighten($primary-color, 3%);
$secondary-color: lighten($primary-color, 37.5%);
$secondary-color-dark: darken($secondary-color, 3%);
$secondary-color-light: lighten($secondary-color, 3%);

// Gray colors
$dark-color: #454d5d;
$light-color: #fff;
$gray-color: lighten($dark-color, 40%);
$gray-color-dark: darken($gray-color, 25%);
$gray-color-light: lighten($gray-color, 20%);

$border-color: lighten($dark-color, 60%);
$border-color-dark: darken($border-color, 10%);
$bg-color: lighten($dark-color, 66%);
$bg-color-dark: darken($bg-color, 3%);
$bg-color-light: $light-color;

// Control colors
//$success-color: #32b643;
//$warning-color: #ffb700;
//$error-color: #e85600;
$success-color: #3FE800;
$warning-color: #FF8300;
$error-color: #F60027;

// Other colors
$code-color: #d73e48;
$highlight-color: #ffe9b3;
$body-bg: $bg-color-light;
$body-font-color: lighten($dark-color, 5%);
$link-color: $primary-color;
$link-color-dark: darken($link-color, 10%);
$link-color-light: lighten($link-color, 10%);

// Fonts
// Credit: https://www.smashingmagazine.com/2015/11/using-system-ui-fonts-practical-guide/
$base-font-family: "Aleo";
$mono-font-family: "SF Mono", "Segoe UI Mono", "Roboto Mono", Menlo, Courier, monospace;
$fallback-font-family: "Helvetica Neue", sans-serif;
$cjk-zh-hans-font-family: $base-font-family, "PingFang SC", "Hiragino Sans GB", "Microsoft YaHei", $fallback-font-family;
$cjk-zh-hant-font-family: $base-font-family, "PingFang TC", "Hiragino Sans CNS", "Microsoft JhengHei", $fallback-font-family;
$cjk-jp-font-family: $base-font-family, "Hiragino Sans", "Hiragino Kaku Gothic Pro", "Yu Gothic", YuGothic, Meiryo, $fallback-font-family;
$cjk-ko-font-family: $base-font-family, "Malgun Gothic", $fallback-font-family;
$body-font-family: $base-font-family, $fallback-font-family;

// Import full Spectre source code
@import "../node_modules/spectre.css/src/spectre";
